Ошибка — Не поддерживает архитектуру «i386»

Пропускается получение настроенного файла «contrib/binary-i386/Packages», так как репозиторий «https://download.virtualbox.org/virtualbox/debian bionic InRelease» не поддерживает архитектуру «i386»

Навязчивая ошибка при обновлениях репозитариев о том, что не поддерживает архитектуру «i386».

Как проявляется эта ошибка? Делаем так:

sudo apt update

Получаем это:

N: Пропускается получение настроенного файла «main/binary-i386/Packages», так как репозиторий «http://dl.google.com/linux/earth/deb stable InRelease» не поддерживает архитектуру «i386»

N: Пропускается получение настроенного файла «contrib/binary-i386/Packages», так как репозиторий «https://download.virtualbox.org/virtualbox/debian bionic InRelease» не поддерживает архитектуру «i386»

Как исправить ошибку не поддерживания архитектуры «i386»

Поправить для earth

было так:

deb http://dl.google.com/linux/earth/deb/ stable main

исправить на:

deb [arch=amd64] http://dl.google.com/linux/earth/deb/ stable main

Поправить для virtualbox

было так:

deb https://download.virtualbox.org/virtualbox/debian bionic contrib

исправить на:

deb [arch=amd64] http://download.virtualbox.org/virtualbox/debian/ bionic contrib

Вуаля!